Managed WordPress
All operations require authentication.
List servicesAlpha
Returns the Managed CMS services of the account.
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the service
Ongoing asynchronous tasks related to the service
IAM resource metadata
Unique identifier of the service
Service readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "dashboards": { "wordpress": "string" }, "plan": "string", "quotas": { "disk": { "additionalQuotaBytes": 0, "planQuotaBytes": 0, "totalQuotaBytes": 0, "totalUsageBytes": 0 }, "visits": { "boosts": [ { "createdAt": null, "currentAmount": null, "expiresAt": null, "initialAmount": null } ], "planQuota": 0, "totalAdditionalQuota": 0, "totalQuota": 0, "totalUsage": 0 }, "websites": { "additionalQuota": 0, "planQuota": 0, "totalQuota": 0, "totalUsage": 0 } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]
List available CMSAlpha
Returns the content management systems a website can be created with.
Headers
Pagination cursor
Pagination size
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ reference/ availableCMS \
-H "authorization: Bearer $OVH_TOKEN"[ "WORDPRESS"]
List available languagesAlpha
Returns the languages a website can be configured with at creation, with their display name. Filter them by CMS.
Query parameters
For which content management system
WORDPRESSHeaders
Pagination cursor
Pagination size
Response
Code to send when setting the language of a CMS
de_DEen_GBen_USes_ESfr_CAfr_FRit_ITpl_PLpt_PTName of the language as displayed in the interfaces
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ reference/ availableLanguages \
-H "authorization: Bearer $OVH_TOKEN"[ { "code": "de_DE", "name": "string" }]
List supported PHP versionsAlpha
Returns the PHP versions a website can use. Filter them by CMS.
Query parameters
For which content management system
WORDPRESSHeaders
Pagination cursor
Pagination size
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ reference/ supportedPHPVersions \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a serviceAlpha
Returns the plan, dashboard URLs and disk, visits and websites quotas of the service, with its running tasks.
Path parameters
Service ID
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the service
Ongoing asynchronous tasks related to the service
IAM resource metadata
Unique identifier of the service
Service readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "dashboards": { "wordpress": "string" }, "plan": "string", "quotas": { "disk": { "additionalQuotaBytes": 0, "planQuotaBytes": 0, "totalQuotaBytes": 0, "totalUsageBytes": 0 }, "visits": { "boosts": [ { "createdAt": "2024-01-01T12:00:00Z", "currentAmount": 0, "expiresAt": "2024-01-01T12:00:00Z", "initialAmount": 0 } ], "planQuota": 0, "totalAdditionalQuota": 0, "totalQuota": 0, "totalUsage": 0 }, "websites": { "additionalQuota": 0, "planQuota": 0, "totalQuota": 0, "totalUsage": 0 } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}
Flush the CDN of all websitesAlpha
Flushes the CDN cache of all the websites of the service and returns the task. Fails if a task is already running on the service.
Path parameters
Service ID
Response
Errors that occurred on the task
Identifier of the current task
Link to the task details
Current global status of the current task
ERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the current task
Example uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ flushCDN \
-H "authorization: Bearer $OVH_TOKEN"{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}
Update a serviceAlpha
Updates the service. Set flushCDNDate to a new date to flush the CDN of all its websites.
Path parameters
Service ID
Request body (required)
Target specification to edit a service
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the service
Ongoing asynchronous tasks related to the service
Unique identifier of the service
Service readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "dashboards": { "wordpress": "string" }, "plan": "string", "quotas": { "disk": { "additionalQuotaBytes": 0, "planQuotaBytes": 0, "totalQuotaBytes": 0, "totalUsageBytes": 0 }, "visits": { "boosts": [ { "createdAt": "2024-01-01T12:00:00Z", "currentAmount": 0, "expiresAt": "2024-01-01T12:00:00Z", "initialAmount": 0 } ], "planQuota": 0, "totalAdditionalQuota": 0, "totalQuota": 0, "totalUsage": 0 }, "websites": { "additionalQuota": 0, "planQuota": 0, "totalQuota": 0, "totalUsage": 0 } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}
List customer approvalsAlpha
Returns the customer approvals of the account. Filter them by approval code, resource type or resource ID.
Query parameters
Code identifying the operation the customer approves
TECH_ACCESS_DISCLAIMERIdentifier of the resource the approval targets
Type of the resource the approval targets
RESOURCEHeaders
Pagination cursor
Pagination size
Response
Code identifying the operation the customer approves
TECH_ACCESS_DISCLAIMERWhether the customer approved the operation
Date when the customer approval was registered
Unique identifier of the customer approval
Identifier of the resource the approval targets
Type of the resource the approval targets
RESOURCEReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ customerApproval \
-H "authorization: Bearer $OVH_TOKEN"[ { "approvalCode": "TECH_ACCESS_DISCLAIMER", "approved": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "resourceId": "string", "resourceType": "RESOURCE" }]
Get a customer approvalAlpha
Returns the approved operation, the target resource, the decision and the registration date.
Path parameters
Customer approval ID
Response
Code identifying the operation the customer approves
TECH_ACCESS_DISCLAIMERWhether the customer approved the operation
Date when the customer approval was registered
Unique identifier of the customer approval
Identifier of the resource the approval targets
Type of the resource the approval targets
RESOURCEExample uses customerApprovalId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ customerApproval/ {customerApprovalId} \
-H "authorization: Bearer $OVH_TOKEN"{ "approvalCode": "TECH_ACCESS_DISCLAIMER", "approved": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "resourceId": "string", "resourceType": "RESOURCE"}
Create an application password on a dashboard of the serviceBeta
Each call creates a new application password on the existing administrator user. The previous ones stay valid. They can be revoked from the CMS administration.
Path parameters
Service ID
Request body (required)
CMS of the dashboard
WORDPRESSResponse
Login of the user the application password belongs to
Application password to authenticate as login on the CMS API, returned only in this response
Example uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ dashboard/ applicationPassword \
-H "authorization: Bearer $OVH_TOKEN"{ "login": "string", "password": "string"}
Register a customer approvalAlpha
Registers whether the customer approves an operation on a resource.
Request body (required)
Code identifying the operation the customer approves
TECH_ACCESS_DISCLAIMERWhether the customer approves the operation
Identifier of the resource the approval targets
Type of the resource the approval targets
RESOURCEResponse
Code identifying the operation the customer approves
TECH_ACCESS_DISCLAIMERWhether the customer approved the operation
Date when the customer approval was registered
Unique identifier of the customer approval
Identifier of the resource the approval targets
Type of the resource the approval targets
RESOURCEReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ customerApproval \
-H "authorization: Bearer $OVH_TOKEN"{ "approvalCode": "TECH_ACCESS_DISCLAIMER", "approved": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "resourceId": "string", "resourceType": "RESOURCE"}